import { observable } from 'mobx'

let interval: NodeJS.Timeout | undefined = undefined
const Index = observable({
    scene: 0,    // 场景值
    share_sources: '',  // 分享值
    system: '',  // 系统
    lastReadLog: {},
    SET_LASTREADLOG() {
        // getLastReadLog().then((res: any) => {
        //     this.lastReadLog = res?.body
        //     this.SET_ISLASTREAD(true)
        // })
    },
   
    SET_SHARESOURCES(value: string) {
        this.share_sources = value
    },

    SET_SCENE(value: number) {
        this.scene = value
    },
  
    SET_SYSTEM(value: string) {
        this.system = value
    },
    isLastRead: false,  // 是否展示上次阅读
    SET_ISLASTREAD(value: boolean) {
        this.isLastRead = value
    },
    navBarTop: 0,
    SET_NAVBARTOP(value: number) {
        this.navBarTop = value
    },
    openType: undefined,
    SET_OPENTYPE(value: number) {
        this.openType = value
    },
    zxCon: "",
    SET_ZXCON(value: string) {
        this.zxCon = value
    },
    userInfo: {
        is_vip: true
    },
    SET_USERINFO() {
        // getUserInfo().then((res: any) => {
        //     if(res?.body){
        //         this.userInfo = res?.body
        //     }
        // })
    },
    is_read: 1,
    time: 0,
    SET_TIME(t: number) {
        if(this.is_read === 0) {
            return
        }
        this.is_read = 0
        // let time = setTimeout(()=>{
        //     this.is_read = 1
        //     clearTimeout(time)
        //     log(1111111111, this.is_read);
        // }, 1000*60*t)
        this.time = 60 * t
        interval = setInterval(() => {
            this.time-=1;
            // log(this.time);
            if(this.time == -1){
                this.is_read = 1
                interval && clearInterval(interval)
            }
        },1000)
    },
    RESET_TIME() {
        log('重置');
        this.is_read = 1
        interval && clearInterval(interval as NodeJS.Timeout)
    },
    is_cp: true,
    is_tcp: false,
    SET_ADTIME() {
        log('ad', 2222);
        if(!this.is_cp) {
            return
        }
        this.is_cp = false
        log('ad', 4444);
        let time1 = setTimeout(()=>{
            this.is_cp = true
            this.is_tcp = true
            clearTimeout(time1)
            log(1111111111, this.is_cp, this.is_tcp);
        }, 1000*60*3)
    },
    SET_ISTCP(value) {
        this.is_tcp = value
    }
})

export default Index